Net::SSH::Perl::Key::RSA(3)

NAME
Net::SSH::Perl::Key::RSA - RSA key object

SYNOPSIS
    use Net::SSH::Perl::Key;
    my $key = Net::SSH::Perl::Key->new('RSA');

DESCRIPTION
Net::SSH::Perl::Key::RSA subclasses Net::SSH::Perl::Key to implement a key object, SSH style. This object provides all of the methods needed for a RSA key object; the underlying implementation is provided by Crypt::PK::RSA, and this class wraps around that module to provide SSH-specific functionality (eg. taking in a Net::SSH::Perl::Buffer blob and transforming it into a key object).

USAGE
Net::SSH::Perl::Key::RSA implements the interface described in the documentation for Net::SSH::Perl::Key. Any differences or additions are described here.

  $key->sign($data)
Uses Crypt::PK::RSA (CryptX module) to sign $data using the private key portion of $key, then encodes that signature into an SSH-compatible signature blob.

Returns the signature blob.

  $key->verify($signature, $data)
Given a signature blob $signature and the original signed data $data, attempts to verify the signature using the public key portion of $key. This uses Crypt::PK::RSA::verify_message to perform the core verification.

$signature should be an SSH-compatible signature blob, as returned from sign; $data should be a string of data, as passed to sign.

Returns true if the verification succeeds, false otherwise.

AUTHOR & COPYRIGHTS
Please see the Net::SSH::Perl manpage for author, copyright, and license information.